#!/usr/bin/env python3.4
# -*- coding: utf-8 -*-
#
#  Lanceur-1.0		03 Avril 2017
#  
#  Copyright 2017  <pi@CDBI-PI3>
#  
#  Appellé au boot du raspi
#  Boitier PI3-Version 2
#  Utilise les boutons de la Piface pour choisir un script
#  

import os
import sys
from subprocess import call
from time import sleep
import pifacedigitalio as pfio
from sense_hat import SenseHat

#====================================================================
def SW_pressed(event):
	global numB
	sense.clear()
	numB=str(event.pin_num)
	
#====================================================================
def SW_unpressed(event):
	global Cmd
	if event.pin_num == 0:
		Cmd=""
		Msg=""
	elif event.pin_num == 1:
		Cmd="/home/pi/Projets-Python/CaptureFlash-31.py"
		Msg="Capt"
	elif event.pin_num == 2:
		Cmd="/home/pi/Projets-Python/SenseHat-20.py"
		Msg="Sense"
	elif event.pin_num == 5:
		Cmd="SD"
		Msg="ShutDown"
	else:
		Cmd=""
		Msg=""
	sense.show_message(Msg)
#====================================================================
def Fermer(Cmd):
	sense.clear()
	if (Cmd == ""):
		print ("<< Fermeture >>")
		listener.deactivate()
		pfio.deinit()
		sys.exit(0)
	elif (Cmd == "SD"):
		print ("<< ShutDown >>")
		sleep(2)
		listener.deactivate()
		pfio.deinit()
		os.system("sudo halt")
	else:
		print (Cmd)
		listener.deactivate()
		pfio.deinit()
		call(Cmd,shell=True)
		sys.exit(0)

#=============================MAIN===================================
pfio.init()
pfd=pfio.PiFaceDigital()
sense = SenseHat()

if pfd.input_pins[7].value  == 0:
	#Le Boitier est en mode Distant----on sort
	pfio.deinit()
	sense.show_letter("A")
	sleep(2)
	sense.clear()
	sys.exit(0)

listener=pfio.InputEventListener(chip=pfd)
for i in range(6):
	listener.register(i,pfio.IODIR_ON,SW_pressed)
	listener.register(i,pfio.IODIR_OFF,SW_unpressed)
listener.activate()

sense.clear()
sense.low_light=True
sense.set_rotation(0)

Cmd="?"
numB="?"

try:
	print (" _______________________________ ")
	print ("|        CDBI  Ver 1.0          |")
	print ("|      LANCEUR de Scripts       |")
	print ("| Bouton 0  Rien (CTRL-C)       |")
	print ("| Bouton 1  Capture Photo/Vidéo |")
	print ("| Bouton 2  SenseHat            |")
	print ("| Bouton 3  .......             |")
	print ("| Bouton 4  .......             |")
	print ("| Bouton 5  ShutDown            |")
	print ("|_______________________________|")

	while Cmd == "?":
		sense.show_letter(numB)
		sleep(1)

	Fermer(Cmd)

except (KeyboardInterrupt):
	Fermer("")
